package nl.cxs.view.util;

import java.io.IOException;

import javax.faces.component.UIComponent;
import javax.faces.context.ResponseWriter;

public class RadioDecorator extends BaseResponseWriterDecorator {

    private ResponseWriter rw;
    private int counter;
    
    public RadioDecorator(ResponseWriter responseWriter) {
        super(responseWriter);
        this.rw = responseWriter;
        counter=0;
    }
    
    public void startElement(String string, 
                             UIComponent uiComponent) throws IOException {
        super.startElement(string, uiComponent);
        if ("input".equalsIgnoreCase(string)) {
            writeAttribute("class","mySpecialRadioButtonStyleClass",null);
        }
    }


}
